Bug 461909 - Review Request: sms_ntsc - SMS NTSC video filtering library
Review Request: sms_ntsc - SMS NTSC video filtering library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 07:11 EDT by David Timms
Modified: 2008-10-15 22:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
belegdol: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
diff between dribble spec and proposed fedora spec (2.42 KB, text/plain)
2008-09-11 07:18 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-09-11 07:11:15 EDT
Spec URL: http://members.iinet.net.au/~timmsy/sms_ntsc/sms_ntsc.spec
SRPM URL: 
http://members.iinet.net.au/~timmsy/sms_ntsc/sms_ntsc-0.2.3-3.fc9.src.rpm

Description:
Sega Master System NTSC video filter library. Reproduces the significant
artifacts on the vertical edges of some colors that occur when colours, and 
the general color mixing that occur when graphics are rendered via an NTSC
video connection to a television. Accepts pixels in 16-bit RGB or 12-bit BGR
(native Game Gear palette format). It can also output an RGB palette for use
in a regular blitter.
====
$ rpmlint sms_ntsc.spec ~/src/redhat/SRPMS/sms_ntsc-0.2.3-3.fc9.src.rpm ~/src/redhat/RPMS/i386/*.rpm
sms_ntsc-demos.i386: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 1 David Timms 2008-09-11 07:18:28 EDT
Created attachment 316422 [details]
diff between dribble spec and proposed fedora spec
Comment 2 Julian Sikorski 2008-09-18 16:37:07 EDT
- MUST: rpmlint output:
  sms_ntsc-demos.x86_64: W: no-documentation
  5 packages and 0 specfiles checked; 0 errors, 1 warnings.
  This can be safely ignored.
- MUST: The package is named according to the Package Naming Guidelines .
- MUST: The spec file name matches the base package %{name}.
- MUST: The package meets the Packaging Guidelines .
- MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
- MUST: The License field in the package spec file matches the actual license.
- MUST: The file containing the text of the license(s) for the package is included in %doc.
- MUST: The spec file is written in American English.
- MUST: The spec file for the package is legible.
- MUST: Source matches upstream: 4aea73f7289a1a28fea2450d6d0cff66  sms_ntsc-0.2.3.zip
- MUST: Package builds on x86_64
- MUST: Package builds fine on i386, x86_64, ppc, ppc64.
- MUST: BuildRequires correct.
- MUST: No locale present.
- MUST: ldconfig scriptlets correct.
- MUST: Not relocatable.
- MUST: Directories ownership correct.
- MUST: No duplicates in %files.
- MUST: Permissions correct.
- MUST: %clean section present.
- MUST: Macros are used consistently.
- MUST: Package contains code.
- MUST: No -doc subpackage necessary.
- MUST: %doc not required at runtime.
- MUST: Header files are in a -devel package.
- MUST: No static libraries.
- MUST: No pkgconfig files present.
- MUST: library with .so suffix in -devel package.
- MUST: -devel package Requires: %{name} = %{version}-%{release}
- MUST: No libtool archives present.
- MUST: Not a GUI application.
- MUST: Ownership does not overlap.
- MUST: %buildroot cleaned at the beginning %install.
- MUST: Filenames are UTF-8.

This package is approved by me.
Comment 3 David Timms 2008-09-20 10:19:16 EDT
Thanks, Julian.

New Package CVS Request
=======================
Package Name: sms_ntsc
Short Description: SMS NTSC video filtering library
Owners: dtimms
Branches: F-8 F-9 EL-5
InitialCC: belegdol
Comment 4 Kevin Fenzi 2008-09-20 20:24:52 EDT
cvs done.
Comment 5 Fedora Update System 2008-09-21 04:25:56 EDT
sms_ntsc-0.2.3-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/sms_ntsc-0.2.3-3.fc8
Comment 6 Fedora Update System 2008-09-21 04:25:59 EDT
sms_ntsc-0.2.3-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/sms_ntsc-0.2.3-3.fc9
Comment 7 Fedora Update System 2008-09-24 20:23:16 EDT
sms_ntsc-0.2.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sms_ntsc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8331
Comment 8 Fedora Update System 2008-09-24 20:25:18 EDT
sms_ntsc-0.2.3-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sms_ntsc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8353
Comment 9 Fedora Update System 2008-10-15 22:00:44 EDT
sms_ntsc-0.2.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-15 22:03:16 EDT
sms_ntsc-0.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.